interface BotState {
    isMinimized: Boolean;
    isOpened: Boolean;
    isExpanded: Boolean;
}
export declare function generateUUID(): string;
export declare const langImporters: {
    [key: string]: () => Promise<any>;
};
export declare function loadLanguageFile(langCode: string): Promise<any>;
type ShadowRootOrNull = ShadowRoot | null;
export declare function insertCustomCSS(shadowRoot: ShadowRootOrNull, css: string): void;
export declare function insertCustomJS(shadowRoot: ShadowRootOrNull, jsSrc: string): void;
export declare function detectLanguage(): string;
export declare function isMac(): boolean;
export declare function setLocalData(key: string, data: any): void;
export declare function getLocalData(key: string): any;
export declare function isOutsideClick(event: MouseEvent, className: string): boolean;
export declare function createAutoResetTimer(callback: () => void, interval: number): NodeJS.Timeout;
export declare function clearTimer(timer: NodeJS.Timeout | null): void;
export declare function validateFormInput(search: string, imgFiles: any[]): boolean;
export declare function createChatMessage(message: string, type: "user" | "ai", status?: "success" | "pending" | "error", images?: any[], id?: string, insightId?: string, thumbsId?: string, formModel?: any): {
    formModel: any;
    thumbsId: string;
    insightId: string;
    id: string;
    images: any[];
    message: string;
    type: "user" | "ai";
    status: "error" | "success" | "pending";
};
export declare function updateChatHistory(chatHistory: any[], newMessage: any, index?: number): any[];
export declare function removeLastMessage(chatHistory: any[]): any[];
export declare function isMaxQuestionsReached(questionCounter: number, maxQuestions: number): boolean;
export declare function getConversationHistory(visitorId: string): any[];
export declare function saveConversation(projectId: string, conversationList: any[], conversationId: string, configId: string, visitorId: string, controlType: string, state?: BotState): void;
export declare function getActiveConfigId(configId: string): string;
export declare function filterConversationHistoryByProjectAndConfig(conversationList: any[], configId: string, projectId: string): any[];
export {};
